PATCH /discord/guilds/{guildId}/roles/{roleId}

Edit a role: at least one of name, color, hoist, mentionable, permissions

PATCH
/discord/guilds/{guildId}/roles/{roleId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

guildId*string

Discord server (guild) id

roleId*string

Role id

Query Parameters

accountId*string

Discord account id bound to this server (or the channel's server)

Request Body

application/json
  1. body
name?string
Lengthlength <= 100
color?integer
Range0 <= value <= 16777215
hoist?boolean
mentionable?boolean
permissions?string

Bitfield as a string of digits

Response Body

{data}

application/json
  1. response
data?
Example Request
curl -X PATCH 'https://example.com/api/v1/discord/guilds/string/roles/string?accountId=string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "id": "string",    "name": "string",    "color": 0,    "position": 0,    "permissions": "string",    "managed": true,    "mentionable": true,    "hoist": true  }}